CVS-DEBI(1)

NOM
cvs-debi - Installer un paquet créé par cvs-buildpackage ou cvs-debuild

SYNOPSIS
cvs-debi [options] [paquet ...]

DESCRIPTION
cvs-debi est exécuté après cvs-buildpackage ou cvs-debuild depuis le répertoire de travail CVS. Il utilise le système cvs-buildpackage pour trouver le fichier .changes produit au cours de cette exécution. Il installe ensuite avec debpkg -i toutes les archives .deb listées dans le fichier .changes, en supposant que toutes ces archives .deb se trouvent dans le même répertoire que le fichier .changes. Remarquez que vous ne voulez sûrement pas utiliser ce programme pour le fichier .changes d'une autre architecture qui aurait été créé après avoir cross-compilé le paquet !

Si une liste de paquets est fournie en ligne de commande, alors seuls les paquets Debian dont les noms sont dans la liste seront installés.

Remarquez que, contrairement à cvs-buildpackage, le nom du paquet source ne peut être indiqué qu'avec l'option -P ; vous ne pouvez pas utiliser simplement le dernier argument de la ligne de commande.

Puisque l'installation d'un paquet nécessite les droits du superutilisateur, debi appelle debpkg plutôt que dpkg. De ce fait, debi ne pourra être utile que s'il est exécuté avec ces droits ou si debpkg peut être exécuté en tant que superutilisateur. Veuillez consulter debpkg(1) pour plus de détails.

OPTIONS
Toutes les options de cvs-buildpackage sont acceptées sans avertissement. Cependant, seules celles listées ci-dessous ont un effet. Pour plus de détails sur ces options, consultez la page de manuel de cvs-buildpackage(1).

-aarchitecture-debian, -ttype-de-système-GNU
    Veuillez consulter dpkg-architecture(1) pour une description de ces options. Ces options affectent la recherche du fichier .changes. Elles consistent à imiter le comportement de dpkg-buildpackage lors de la détermination du nom du fichier .changes.

-Mmodule
    Le nom du module CVS.

-Ppaquet
    Le nom du paquet.

-Vversion
    Le numéro de version du paquet.

-Tétiquette
    L'étiquette CVS utilisée pour exporter les sources.

-Rrépertoire_racine
    Racine de l'archive source initiale.

-Wespace_de_travail
    Le chemin complet de l'espace de travail pour cvs-buildpackage.

-xpréfixe
    Le préfixe par défaut des modules CVS.

--help, --version
    Afficher respectivement le message d'aide et la version.

VOIR AUSSI
cvs-buildpackage(1), cvs-debc(1), cvs-debuild(1), debi(1)

AUTEUR
cvs-buildpackage a été écrit par Manoj Srivastava et la version actuelle de debi a été écrite par Julian Gilbey <jdg@debian.org>. Ils ont été combinés par Julian Gilbey pour donner ce programme.

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.alioth.debian.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.